import {
	myRequest
} from '../request.js'
export default {
	//修改订单
	eddOrder(data) {
		return myRequest({
			url: '/order/edit',
			method: 'post',
			data: data
		})
	},
	//查询订单商品列表
	getordergoodslists(data) {
		return myRequest({
			url: '/order/goods/list',
			method: 'get',
			data: data
		})
	},
	/**
	 * @param {Object} data
	 * 查询订单商品退款列表
	 */
	orderRefundList(data) {
		return myRequest({
			url: '/order/refund/list',
			method: 'get',
			data: data
		})
	},
	
	
	//查询订单列表
	getorderlists(data) {
		return myRequest({
			url: '/order/list',
			method: 'get',
			data: data
		})
	},
	// 新增小程序订单
	placeSmallOrder(data) {
		return myRequest({
			url: '/order/placeSmallOrder',
			method: 'post',
			data: data
		})
	},
	// 新增公众号订单
	placeGzhOrder(data) {
		return myRequest({
			url: '/order/placeGzhOrder',
			method: 'post',
			data: data
		})
	},
	// h5继续支付订单
	resumePlaceGzhOrder(data) {
		return myRequest({
			url: '/order/resumePlaceGzhOrder',
			method: 'post',
			data: data
		})
	},
	resumeSmallOrder(data) {
		return myRequest({
			url: '/order/resumeSmallOrder',
			method: 'post',
			data: data
		})
	},
	refundSmallOrder(data) {
		return myRequest({
			url: '/order/refund',
			method: 'post',
			data: data
		})
	},
	
	orderInvoiceCanInvoiceList(data) {
		return myRequest({
			url: '/order/invoice/canInvoiceList',
			method: 'get',
			data: data
		})
	},
	
	orderInvoice(data) {
		return myRequest({
			url: '/order/invoice',
			method: 'post',
			data: data
		})
	},
	
	orderInvoiceList(data) {
		return myRequest({
			url: '/order/invoice/list',
			method: 'get',
			data: data
		})
	},
	
	orderInvoiceCancel(data) {
		return myRequest({
			url: '/order/invoice/cancel',
			method: 'post',
			data: data
		})
	},
	orderInfo(data) {
		return myRequest({
			url: '/order/info',
			method: 'get',
			data: data
		})
	}
	
	
	


}
